/*
                        Y Mixer Channel Device Codes

	ATTENTION: These codes are YMixer Channel Device codes,
	they are NOT Linux/OSS/ALSA/etc channel device codes. So
	these values will be different from those defined in say,
	linux/soundcard.h



 */

#ifndef YMIXERCODES_H
#define YMIXERCODES_H

#define YMixerCodeVolume	1	/* Master volume. */
#define YMixerCodeSynth		2	/* FM Synth. */
#define YMixerCodePCM		3	/* Primary PCM. */
#define YMixerCodePCM2		4	/* Secondary PCM. */
#define YMixerCodeGainIn	5	/* Input gain. */
#define YMixerCodeGainOut	6	/* Output gain. */
#define YMixerCodeBass		7
#define YMixerCodeTreble	8
#define YMixerCodeCD		9
#define YMixerCodeSpeaker	10	/* Internal PC speaker? */
#define YMixerCodeMic		11	/* Input (not always microphone). */
#define YMixerCodeRec		12	/* Recorder or AUX (input?). */
#define YMixerCodeMix		13
#define YMixerCodeLine		14
#define YMixerCodeLine1		15
#define YMixerCodeLine2		16
#define YMixerCodeLine3		17


#endif	/* YMIXERCODES_H */
